English ▼
Skip to page content Skip to main navigation
e.g. "templates" or "datastore"

# Exceptions

The `google.appengine.ext.blobstore` package provides the following exception classes:

exception Error()

  This is the base class for all exceptions in this package.

exception BlobNotFoundError()

  The `fetch_data()` function could not find a Blobstore value that corresponds with the given `BlobInfo` or `BlobKey` value.

exception BlobInfoParseError()

  The `parse_blob_info()` function could not process the `cgi.FieldStorage` object into a `BlobInfo` object, such as due to an incomplete set of fields.

exception CreationFormatError()

  The `parse_blob_info()` function could not parse the creation date-time from the field data because it did not match the expected format (`YYYY-mm-dd HH:MM:SS.ffffff`).

exception InternalError()

  An internal Blobstore error occurred.